#------------------------------------------------------------------------------
# Modified Calculate-server 2.1.16
# File of a profile "profile/samba"
#------------------------------------------------------------------------------

include    /etc/openldap/schema/core.schema
include    /etc/openldap/schema/cosine.schema
include    /etc/openldap/schema/nis.schema
include    /etc/openldap/schema/inetorgperson.schema
pidfile    /var/run/openldap/slapd.pid
argsfile    /var/run/openldap/slapd.arg
loglevel    0
allow    bind_v2
modulepath    /usr/lib/openldap/openldap
access to attrs=userPassword
    by dn="cn=ldapadmin,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by dn="ou=Unix,ou=Services,dc=calculate" write
    by dn="ou=Mail,ou=Services,dc=calculate" read
    by dn="ou=Jabber,ou=Services,dc=calculate" read
    by dn="ou=Ftp,ou=Services,dc=calculate" read
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" write
    by self read
    by * auth
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="cn=ldapadmin,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" write
    by * none
access to dn.base="cn=proxyuser,dc=calculate"
    by dn="cn=ldapadmin,dc=calculate" write
    by dn="cn=proxyuser,dc=calculate" read
    by * none
access to *
    by dn="cn=ldapadmin,dc=calculate" write
    by self write
    by * read

# Backend section for test.
backend bdb
suffix		"dc=calculate"

database bdb
suffix		"dc=example, dc=calculate"
checkpoint	1024	5
cachesize	10000
sizelimit	unlimited
directory	/var/lib/openldap-data
rootdn		"cn=ldaproot,dc=calculate"
#include    /etc/openldap/replication.conf
index	objectClass	eq
index	cn		pres,sub,eq
index	sn		pres,sub,eq
index	uid		pres,sub,eq
index	uidNumber	eq
index   gidNumber	eq
index   default		sub
syncrepl rid=123
    provider=ldap://provider.example.com:389
    type=refreshOnly
    interval=01:00:00:00
    searchbase="dc=example, dc=com"
    filter="(objectClass=organizationalPerson)"
    scope=sub
    attrs="cn, sn, ou, telephoneNumber, title, l"
    schemachecking=off
    bindmethod=simple
    binddn="cn=syncuser, dc=example, dc=com"
    credentials=secret

updateref   ldap://ldapmaster.example.com
